package model

// WorkRepair 工单维修数据模型
type WorkRepair struct {
	Model
	WorkID uint64 `gorm:"column:work_id;type:int(11);default:0;comment:工单ID" json:"-"`
	Status int    `json:"status"`
	ModelDeleted
	ModelAt
}

func (m *WorkRepair) TableName() string {
	return "work_repair"
}

func NewWorkRepair() *WorkRepair {
	return &WorkRepair{}
}
